### Function

# Gdk Paintablenew_empty

#### Declaration [src]

    GdkPaintable*
    gdk_paintable_new_empty (
      int intrinsic_width,
      int intrinsic_height
    )

#### Description [src]

Returns a paintable that has the given intrinsic size and draws nothing.

This is often useful for implementing the `Gdk.PaintableInterface.get_current_image` virtual function when the paintable is in an incomplete state (like a GtkMediaStream before receiving the first frame).

#### Parameters

`intrinsic_width`

  Type: `int`

  The intrinsic width to report. Can be 0 for no width.

`intrinsic_height`

  Type: `int`

  The intrinsic height to report. Can be 0 for no height.

#### Return value

Type: `GdkPaintable`

A `GdkPaintable`

The caller of the function takes ownership of the data, and is responsible for freeing it.